Page MenuHomePhabricator

Tagline is missing in Timeless
Closed, ResolvedPublic

Description

Timeless does not include the tagline (site subtitle), unlike the other skins available on Wikimedia wikis. In those skins, this is an element with id siteSub (except for Cologne blue, which uses an element with class tagline). Though hidden on many sites, it is shown on English Wikipedia, and in print views for some skins.

See also https://www.mediawiki.org/wiki/Manual:Skinning_Part_2#Tagline

Fixing this would resolve T191589: Ensure compatibility with the metadata gadget (which displays an article assessment not shown in Timeless) without any changes to the gadget itself.

Details

Related Gerrit Patches:
mediawiki/skins/Timeless : masterAdd sitesub, but hide by default

Event Timeline

Evad37 added a comment.EditedMay 2 2018, 10:56 AM

The lack of a tagline also means there's no obvious place to put coordinates. On Vector, they're positioned on the same line as the tagline, but on the far right. In Timeless (on enwiki), they're currently hidden, see https://en.wikipedia.org/wiki/MediaWiki:Timeless.css

Vvjjkkii renamed this task from Tagline is missing in Timeless to 83daaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
CommunityTechBot renamed this task from 83daaaaaaa to Tagline is missing in Timeless.Jul 2 2018, 4:36 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)

Change 446811 had a related patch set uploaded (by Isarra; owner: Isarra):
[mediawiki/skins/Timeless@master] Add sitesub, but hide by default

https://gerrit.wikimedia.org/r/446811

Change 446811 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Add sitesub, but hide by default

https://gerrit.wikimedia.org/r/446811

Isarra closed this task as Resolved.Aug 2 2018, 5:25 PM
Isarra claimed this task.
Isarra added a subscriber: Isarra.

Technically fixed skin-side (it's now there, but as with in other skins, hidden by default), but it's up to the project(s) to actually unhide it if desired. Related: https://en.wikipedia.org/wiki/MediaWiki_talk:Common.css#SiteSub_display_('From_Wikipedia,_the_Free_Encyclopedia')

TheDJ awarded a token.Aug 3 2018, 6:09 PM